TransformOperation (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.optional.image, class: TransformOperation

Package org.apache.tools.ant.types.optional.image

# Class TransformOperation

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.image.ImageOperation
org.apache.tools.ant.types.optional.image.TransformOperation

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `Draw`, `Rotate`, `Scale`

public abstract class TransformOperation extends ImageOperation

See Also:
  - `Image`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

  `instructions`

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformOperation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRectangle(Rectangle instr)`
  Add a rectangle to the operation.
  `abstract javax.media.jai.PlanarImage`
  `executeTransformOperation(javax.media.jai.PlanarImage img)`
  Performs the transformations.

  ### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

  `addDraw, addRotate, addScale, addText`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransformOperation

    public TransformOperation()

- ## Method Details

  - ### executeTransformOperation

    public abstract javax.media.jai.PlanarImage executeTransformOperation(javax.media.jai.PlanarImage img)
    Performs the transformations.
    Parameters:
      `img` - The image to perform the transformation on.
    Returns:
      the transformed image.

  - ### addRectangle

    public void addRectangle(Rectangle instr)
    Add a rectangle to the operation..
    Overrides:
      `addRectangle` in class `ImageOperation`
    Parameters:
      `instr` - the rectangle to add.